# Docker Daemon WoodpeckerCI Plugin

[![pulls](https://img.shields.io/docker/pulls/kokuwaio/dockerd)](https://hub.docker.com/r/kokuwaio/dockerd)
[![size](https://img.shields.io/docker/image-size/kokuwaio/dockerd)](https://hub.docker.com/r/kokuwaio/dockerd)
[![dockerfile](https://img.shields.io/badge/source-Dockerfile%20-blue)](https://git.kokuwa.io/woodpecker/dockerd/src/branch/main/Dockerfile)
[![license](https://img.shields.io/badge/License-EUPL%201.2-blue)](https://git.kokuwa.io/woodpecker/dockerd/src/branch/main/LICENSE)
[![prs](https://img.shields.io/gitea/pull-requests/open/woodpecker/dockerd?gitea_url=https%3A%2F%2Fgit.kokuwa.io)](https://git.kokuwa.io/woodpecker/dockerd/pulls)
[![issues](https://img.shields.io/gitea/issues/open/woodpecker/dockerd?gitea_url=https%3A%2F%2Fgit.kokuwa.io)](https://git.kokuwa.io/woodpecker/dockerd/issues)

A [Woodpecker I](https://woodpecker-ci.org) prepared docker daemon.
Also usable with Gitlab, Github or locally, see examples for usage.

## Features

- includes rootless
- configures mirror for dockerd

## Example

```yaml

services:
  - name: dockerd
    image: kokuwaio/dockerd
    ports: [2375, 8080]

steps:
  info:
    image: kokuwaio/docker-cli
    commands: docker info
    environment:
      DOCKER_HOST: tcp://dockerd:2375
```

## Settings

| Environment               | Default | Description                                                                        |
| ------------------------- | ------- | ---------------------------------------------------------------------------------- |
| DOCKERD_PORT              | `2375`  | Specifies the port to listen on                                                    |
| DOCKERD_SHUTDOWN_TIMEOUT  | `0`     | Set the default shutdown timeout                                                   |
| DOCKERD_LOG_LEVEL         | `none`  | Set the [logging level](https://docs.docker.com/reference/cli/dockerd/#log-format) |
| DOCKERD_REGISTRY_MIRROR   | `none`  | Specifies a list of registry mirrors.                                              |
| DOCKERD_INSECURE_REGISTRY | `none   | Configure [insecure registry](https://docs.docker.com/reference/cli/dockerd/#insecure-registries) |
